body {
    font-family: "Inter", sans-serif !important;
    background-image: linear-gradient(rgba(0, 0, 0, 0.7), rgba(0, 0, 0, 0.7)), url('image1.png');
    margin: 0;
    padding: 0;
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
}

.container {
    max-width: 685px;
    /* max-width: 740px; */
    /* height: 544px; */
    margin: 50px auto;
    padding: 21px;
    background-color: white;
    border-radius: 16px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    display: flex;
    flex-wrap: wrap;
}
.container-horoscope{
    max-width: 787px;
    margin: 50px auto;
    padding: 20px;
    background-color: white;
    border-radius: 35px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    display: flex;
    flex-wrap: wrap;
}
.form-left {
    flex: 1;
    min-width: 250px;
    padding: 12.06px;
    background-image: linear-gradient(351.99deg, #F6A13A 22.04%, #AB2732 81.77%);
    color: white;
    border-radius:16px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.form-left h2 {
    margin-bottom: 20px;
    font-weight: 700;
    font-size: 29px;
    line-height: 35.1px;
    color: #FFF9BF;
    margin-left: 21px;
    font-family: book antiqua !important;
}

.form-left img {
    width: 150px;
}

.form-right {
    flex: 2;
    min-width: 300px;
    padding: 15px 0px 5px 21px;
    background-color: white;
    border-radius: 0 8px 8px 0;
}

.form-group {
    margin-bottom: 0px;
    position: relative;
}

.form-group label {
    color: #000;
    display: block;
    margin-bottom: 10px;
    font-weight: 500;
    letter-spacing: -0.02em;
    font-size: 14px;
    line-height: 12px;
    /* text-shadow: 0 0 0.1px;
    opacity: 0.98;
    filter: brightness(90%); */
}
.custom-input {
    border: 1px solid #ccc; /* Default border color */
    padding: 8px;
    outline: none; /* Remove the default blue outline */
}

/* Change border color on focus */
.custom-input:focus {
    border-color: #ececec; /* Change to your desired color */
}
.form-group input, .form-group select {
    font-family: 'inter';
    margin-bottom: 10px;
    width: 100%;
    padding: 7px;
    border: 0.85px solid #ccc;
    border-radius: 5px;
    font-size: 11px;
    box-sizing: border-box;
    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: none;
}

.form-group select {
    margin-bottom: 10px;
    width: 100%;
    padding: 7px;
    border: 1px solid #ccc;
    border-radius: 5px;
    font-size: 11px;
    box-sizing: border-box;
    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: none;
    background: url('/assets/customers/images/sub-icons/Vector.png') no-repeat right center;
    background-size:16px 11px;
    background-position:calc(100% - 10px) center;
}



.form-group input:focus{
    border: 1px solid #ccc;
}
.form-group-row {
    /* margin-bottom: 10px; */
    display: flex;
    gap: 10px;
    flex-wrap: wrap;
    justify-content: space-between;
}
.select2-container{
    margin-bottom: 15px;
}
.form-group-row .form-group {
    flex: 1;
    min-width: 0;
}
.form-group-row .form-group input,
.form-group-row .form-group select {
    width: 100%;
    box-sizing: border-box;
    font-size: 11px;
}
/* Radio buttons for current address */
.form-group-radio {
    display: flex;
    align-items: center;
    gap: 20px;
}

.form-group-radio input {
    margin-right: 10px;
}

.form-group.gender {
    display: flex;
    justify-content: space-between;
    max-width: 300px;
}
.form-group.gender label {
    flex: 1;
    text-align: center;
    cursor: pointer;
}
.form-group.gender input[type="radio"] {
    display: none;
}
.form-group.gender label {
    background-color: #fff;
    padding: 7px;
    border: 1px solid #ccc;
    border-radius: 5px;
    margin-left: 5px;
    font-weight: 300;
}
.form-group.gender input[type="radio"]:checked + label {
    background-color: #C3C602;
    color: white;
}
.form-group.matches-choice {
    display: flex;
    justify-content: space-between;
    max-width: 160px;
    gap: 3px;
}
.form-group.matches-choice label {
    flex: 1;
    text-align: center;
    cursor: pointer;
}
.form-group.matches-choice input[type="radio"] {
    display: none;
}
.form-group.matches-choice label {
    background-color: #fff;
    padding: 10px;
    border: 1px solid #ccc;
    border-radius: 5px;
    margin-left: 5px;
    font-weight: 300;
}
.form-group.matches-choice input[type="radio"]:checked + label {
    background-color: #C3C602;
    color: white;
}
.form-group.address {
    display: flex;
    justify-content: space-between;
    /* max-width: 320px; */
}
.form-group.gender label {
    flex: 1;
    text-align: center;
    cursor: pointer;
}
.form-group.address input[type="radio"] {
    display: none;
}
.form-group.address label {
    background-color: #fff;
    padding: 10px;
    border: 1px solid #ccc;
    border-radius: 5px;
    margin-left: 5px;
    font-weight: 300;
}
.form-group.address input[type="radio"]:checked + label {
    background-color: #C3C602;
    color: white;
}
.form-group.address p{
    margin-top: 9px;
    color: #888;
    font-weight: 500;
    font-size: 13px;
    line-height: 15px;
}
.dob-group {
    display: flex;
    align-items: center;
    gap: 10px;
}

.dob-group label {
    margin-bottom: 0;
    width: 135px;
}

.dob-group select {
    flex: 1;
}
.form-row {
    display: flex;
    justify-content: space-between;
    gap: 10px;
}

.form-row .form-group {
    flex: 1;
}
.popup-form select {
    appearance: none; /* Remove default browser-specific styles */
    -webkit-appearance: none; /* For Safari */
    -moz-appearance: none; /* For Firefox */
}
/* Continue button */
.form-group button {
    width: 183px;
    font-size: 12px !important;
    /* margin-top: 10px; */
    padding: 9px;
    border: 1px solid #7C9D45;
    background-color: #fff;
    color: black;
    border-radius: 5px;
    font-size: 18px;
    cursor: pointer;
    float:right;
    /* min-width: 150px; */
}

.form-group button:hover {
    background-color: #7C9D45;
    border: 1px solid #45a049;
    color: #fff;
}

.form-group .active-btn {
    background-color: #7C9D45;
    border: 1px solid #45a049;
    color: #fff;
}

.skip-btn{
    text-decoration: none; /* Removes the underline */
    color: inherit;
    font-size: 12px;
}
p{
    margin-top: 5px;
    margin-bottom: 5px;
}
h3{
    margin-top: 5px;
    margin-bottom: 5px;
}
/* .custom-radio {
    display: none;
} */
.form-footer {
    margin-top: 10px;
    color: #AB2732;
    font-size: 11px;
    line-height: 13px;
    font-weight: 400;
}
.btn-group {
    margin-bottom: 10px;
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
}
#hobbies .btn-group {
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
    margin-bottom: 135px;
}

.btn-option {
    background-color: #f0f0f0;
    border: 1px solid #ccc;
    padding: 9px 10px;
    border-radius: 5px;
    cursor: pointer;
    font-size: 11px;
    line-height: 11px;
    transition: background-color 0.3s ease;
}

.btn-option.active {
    background-color: grey;
    color: white;
    border-color: grey;
}

.btn-option:hover {
    background-color: #ddd;
    color: #000;
}
.number-control {
    display: flex;
    gap: 10px;
    align-items: center;
}

.number-control input {
    width: 50px;
    text-align: center;
}
.number-control-wrapper {
    display: flex;
    align-items: center;
    justify-content: flex-start;
    margin-bottom: 15px;
}
.number-control {
    margin-left: 15px;
    display: flex;
    gap: 10px;
    align-items: center;
}
.number-control-sis{
    margin-left: 23px;
    display: flex;
    gap: 10px;
    align-items: center;
}
.number-control-sis input {
    width: 32px;
    height:30px;
    border:1px solid grey;
    border-radius: 5px;
    text-align: center;
}
.number-control input {
    width: 32px;
    height:30px;
    border:1px solid grey;
    border-radius: 5px;
    text-align: center;
}
.num-count{
    background:;
    border: 1px solid #ccc ;
    width: 25px;
    border-radius: 5px;
}
.num-count:active{
    background: #698429;
}
.button-group-ms {
    display: flex;
    gap: 10px; /* Space between buttons */
}
#marital-status-group .marital-status-btn {
    font-size: 14px;
    color: black;
    background-color: #fff;
    border: 1px solid #ccc;
    padding: 11px 10px;
    margin-right: 5px;
    cursor: pointer;
    max-width: 130px;
}
#marital-status-group .button-group-ms {
    margin-bottom: 10px;
}

/* Change the active state only for the marital status buttons */
#marital-status-group .marital-status-btn.active {
    background-color: #C3C602;
    color: white;
}

/* You can also target the button group if needed */
.button-group-ms {
    display: flex;
    flex-direction: row;
    gap: 10px; /* Adjust spacing between buttons */
}
.button-group {
    display: flex;
    gap: 10px;
}

#choices .option-btn {
    font-size: 14px;
    background-color: white;
    border: 1px solid #ccc;
    padding: 3px 15px;
    border-radius: 5px;
    cursor: pointer;
    color: black;
    width: 64px !important;
    height: 28px !important;
}

#choices .option-btn.active {
    background-color:#C3C602;
    color: white;
}
.form-actions {
    display: flex;
    justify-content: space-between;
}

.form-actions {
    margin-top: 15px;
    display: flex;
    justify-content: flex-end; 
    gap: 15px; 
}
.photo-options {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 10px;
    margin-top: 20px;
    margin-bottom: 10px;
}

.photo-upload-btn {
    position: relative;
    width: 80px; /* Set the size of the upload button */
    height: 77px;
    border: 2px dashed #ccc;
    border-radius: 10px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    margin-bottom: 20px;
    cursor: pointer;
    overflow: hidden;
}

.photo-upload-btn input[type="file"] {
    position: absolute;
    width: 100%;
    height: 100%;
    opacity: 0;
    z-index: 2;
    cursor: pointer;
}

.image-preview {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: block; /* Hidden by default */
    z-index: 1;
}

.image-preview img {
    width: 100%;
    height: 100%;
    object-fit: cover; /* Make sure the image covers the entire container */
}

.plus-sign, .photo-text {
    z-index: 0; /* Ensure the plus sign and text are below the image preview */
    color: #666;
    font-size: 24px;
}

.photo-text {
    font-size: 14px;
    color: #666;
}

.about-me textarea {
    width: 94%;
    height: 100px;
    padding: 10px;
    border-radius: 5px;
    border: 1px solid #ccc;
}
.about-me h2{
    color: #000;
    display: block;
    margin-bottom: 10px;
    font-weight: 600;
    font-size: 14px;
    line-height: 12px; 
}
.up-photos{
    color: #000 !important;
    display: block;
    margin-bottom: 10px;
    font-weight: 600 !important;
    font-size: 14px !important;
    line-height: 12px !important;
}
.whatsappCheck{
    font-size:13px;
    color: grey;
    display: flex;
    justify-content: flex-end;
   
}
.box-horoscope{
    display: flex;
    justify-content: flex-end;
}

.time-input {
    display: flex; 
    align-items: center; 
}
.birth-time {
    flex: 1; 
    margin-right: 10px; 
}

.ampm-toggle {
    
    display: flex;
}
.ampm-toggle button {
    color: black;
    margin-top: 0px;
    width: 100%;
    padding: 10px;
    font-size: 16px;
    border: 1px solid #ced4da;
    border-radius: 5px;
    background-color: #f8f9fa;
    cursor: pointer;
  }
#ampmButton {
    margin-top: 0px;
    padding: 0.5em 1em; 
    cursor: pointer; 
}

#choices .hideshow{
    display: flex;
    margin-top: 50px;
    gap:10px;
}

#choices .hidebutton {
    font-size: 14px;
    background-color: white;
    border: 1px solid #ccc;
    padding: 8px 15px;
    border-radius: 5px;
    cursor: pointer;
    color: black;
    display: flex;
}
#choices .hidebutton:active {
    background-color:grey;
    color: white;
}
#choices .hidebutton:focus {
    background-color:grey;
    color: white;
}
.form-container {
    display: flex;
    flex-direction: column;
}

#form-container .form-group {
    order: 1;
}

#form-container .form-footer {
    order: 2;
}
.checkbox-group {
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
}
.checkbox-item {
    display: flex;
    align-items: center;
    margin-bottom: 8px;
}
.checkbox-item input {
    margin-right: 5px;
}
label[for="languages"] {
    font-weight: bold;
    margin-bottom: 10px;
    display: inline-block;
}
/* Responsive styling */
@media (max-width: 768px) {
    .container {
        flex-direction: column;
    }

    .form-left, .form-right {
        border-radius: 8px;
        margin-bottom: 20px;
    }
    .dob-group {
        flex-direction: column;
    }

    .dob-group select {
        width: 100%;
        margin-bottom: 10px;
    }
}
.phone-number-container {
    display: flex;
    gap: 10px; /* Space between the two input fields */
}

#country-code {
    width: 68px; /* Set a fixed width for the country code field */
    padding: 10px;
    border-radius: 5px;
    font-size: 13px;
    
}

#income {
    width: 500px;
    flex-grow: 1; 
    padding: 10px;
    border: 1px solid #ccc;
    border-radius: 5px;
    font-size: 13px;
   
}

.error-message {
    color: red;
    font-size: 0.875em;
    margin-top: 5px;
}
.input-box {
    width: 100%; /* Make sure it fills the container */
    max-width: 300px; /* Adjust this as per your layout */
    padding: 5px; /* Adjust padding as needed */
    box-sizing: border-box; /* Ensure padding doesn't affect width */
}
.alert {
    background-color: #f8d7da;
    color: #721c24;
    padding: 5px;
    /*border: 1px solid #f5c6cb;*/
    margin: auto;
    margin-top:7px;
    margin-bottom: 7px;
    border-radius: 5px;
    font-size: 14px;
}
.alert-message {
    /* background-color: #ececec;
    color: #c41818;
    border: 1px solid #ccc; */
    padding: 5px;
    border-radius: 5px;
    font-size: 10px;
    margin: auto;
    margin-bottom: 7px;
    background-color: #f8d7da;
    color: #721c24;
    border: 1px solid #f5c6cb;
}
.checkbox-item label{
    margin-bottom: 0px;
}
.form-group-horoscope{
    margin-top: 20px;
    display: flex;
}
.form-group-horoscope label {
    color: darkslategray;
    display: block;
    margin-bottom: 7px;
    font-weight: bold;
}
.ui-datepicker-month ,
.ui-datepicker-year{
    border-radius: 5px;
    background-color: #ececec;
}
.navigation-arrows {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin: 20px 0;
}

.prev-page, .next-page {
    font-size: 22px;
    text-decoration: none;
    color: #f1f1f1;
    padding: 10px 20px;
    border-radius: 50px;
    /* border: 1px solid grey; */
    transition: background-color 0.3s ease, color 0.3s ease;
}

.prev-page:hover, .next-page:hover {
    color: #7C9D45;
}

.prev-page {
    margin-left: auto;
}

.form-right h4{
    margin-top: 0px;
    font-size: 16px;
    line-height: 16px;
    font-weight: 600;
    margin-bottom: 18px;
}
.gradient-border {
    position: relative;
    display: inline-block;
}

.gradient-border::after {
    content: '';
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 3px; /* Adjust the thickness of the border */
    background: linear-gradient(to right, red, orange, yellow, green, blue, indigo, violet);
}

.pswd-eg{
    margin-top: 0px;
    margin-bottom: 10px;
}
.match-choices{
    display: flex;
    justify-content: space-between;
}
.match-choice{
    height: 28px;
    line-height: 15px;
    padding-top: 5px !important;
    padding-bottom: 5px !important;
}

.address-choice{
    display: flex;
    margin-right: 35px;
}

.form-boxed p{
    font-weight: 400;
    font-size: 13px;
    line-height: 16px;
}
.form-boxed input[type="radio"] {
    vertical-align: middle;
    margin-top: 0; /* remove browser default spacing */
}
.form-boxed {
    margin-top: 2px;
    flex: 2;
    display: flex;
    gap: 9px; /* spacing between radio options */
    align-items: center;
    flex-wrap: wrap;
}
.form-boxed.matches{
    margin-top: 8px;
}
.radio-option {
    margin-right: 12px;
    display: flex;
    align-items: center;
    gap: 5px;
}

#currency_id {
    background-color: #889475 !important; /* Light green */
    color: white;
    background: none; /* Removes the custom image */
    appearance: auto; /* Resets to default dropdown arrow */
    -webkit-appearance: auto;
    -moz-appearance: auto;
}
.personal-options{
    margin-top: 10px;
    line-height: 15px;
    font-size: 12px;
    font-weight: 600;
}
.form-group-pet{
    display: flex;
    gap: 24px;
}
.form-group-count-label{
    font-size: 11px;
    font-weight: 500;
}
.form-group-count{
    display: flex;
    gap: 10px;
}
.sidebar-image{
    align-self: center;
}
.otp-message{
    font-size: 13px;
}
.select2-container--default .select2-selection--multiple .select2-selection__rendered{
    font-family: 'inter';
    font-size: 11px;
}
.custom-label{
    font-size: 11px;
}
.horos-details{
    margin-top: 10px;
    line-height: 15px !important;
    font-size: 12px !important;
    font-weight: 600 !important;
}
.required{
    color: rgb(190, 13, 13);
    font-weight: 600;
}